Bug 445911 - Fedora 7 kernel 2.6.23.15-80.fc7 crashed during boot at iwl4965_irq_tasklet+0xfbf.
Fedora 7 kernel 2.6.23.15-80.fc7 crashed during boot at iwl4965_irq_tasklet+0...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-09 15:33 EDT by hugh
Modified: 2008-06-16 23:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 23:07:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Photograph of panic traceback (137.54 KB, image/jpeg)
2008-05-09 15:33 EDT, hugh
no flags Details

  None (edit)
Description hugh 2008-05-09 15:33:43 EDT
Description of problem:

Panic during boot.

Version-Release number of selected component (if applicable):

kernel 2.6.23.15-80.fc7

How reproducible:

Not reproducible.  One off.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Reported to Intel wireless buzilla: 
http://www.intellinuxwireless.org/bugzilla/show_bug.cgi?id=1666

From the Intel wireless report:

Fedora 7 kernel 2.6.23.15-80.fc7 crashed during boot at
iwl4965_irq_tasklet+0xfbf.  See attached screen shot.

From "objdump -d -r iwl4965.ko":

0000000000011a0e <iwl4965_irq_tasklet>:
   11a0e:       41 57                   push   %r15
   11a10:       41 56                   push   %r14
   11a12:       41 55                   push   %r13
....
   129a2:       48 8b 90 d8 00 00 00    mov    0xd8(%rax),%rdx
   129a9:       66 8b 42 06             mov    0x6(%rdx),%ax
   129ad:       0f b6 f4                movzbl %ah,%esi
   129b0:       81 e6 bf 00 00 00       and    $0xbf,%esi
   129b6:       83 fe 04                cmp    $0x4,%esi
   129b9:       74 16                   je     129d1
<iwl4965_irq_tasklet+0xfc3>
   129bb:       0f b6 52 04             movzbl 0x4(%rdx),%edx
   129bf:       48 c7 c7 00 00 00 00    mov    $0x0,%rdi
                        129c2: R_X86_64_32S     .rodata.str1.1+0x4ae3
   129c6:       31 c0                   xor    %eax,%eax
   129c8:       e8 00 00 00 00          callq  129cd
<iwl4965_irq_tasklet+0xfbf>
                        129c9: R_X86_64_PC32    printk+0xfffffffffffffffc
   129cd:       0f 0b                   ud2a


So the panic message that scrolled off the screen is addressed as:
.rodata.str1.1+0x4ae3.  From "readelf --hex-dump .rodata.str1.1 iwl4965.ko":

  0x00004ae0 780a003c 333e6977 6c343936 353a2045 x..<3>iwl4965: E
  0x00004af0 72726f72 2077726f 6e672063 6f6d6d61 rror wrong comma
  0x00004b00 6e642071 75657565 20256420 636f6d6d nd queue %d comm
  0x00004b10 616e6420 69642030 7825580a 003c343e and id 0x%X..<4>

Which comes from iwl4965_tx_cmd_complete():

        if (txq_id != IWL_CMD_QUEUE_NUM)
                IWL_ERROR("Error wrong command queue %d command id 0x%X\n",
                          txq_id, pkt->hdr.cmd);
        BUG_ON(txq_id != IWL_CMD_QUEUE_NUM);

Cross reference 
https://lists.ubuntu.com/archives/kernel-team/2007-August/001646.html which 
replaces the BUG_ON() with a WARN_ON().
Comment 1 hugh 2008-05-09 15:33:43 EDT
Created attachment 304978 [details]
Photograph of panic traceback
Comment 2 Bug Zapper 2008-05-14 11:29:56 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 23:07:28 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.